try {
  let e = typeof window < "u" ? window : typeof global < "u" ? global : typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : {}, t = new e.Error().stack;
  t && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[t] = "1403043e-d37f-44f9-8c74-7a93ce194a09", e._sentryDebugIdIdentifier = "sentry-dbid-1403043e-d37f-44f9-8c74-7a93ce194a09");
} catch {
}
class s extends Event {
  eventName;
  value;
  constructor(t, n) {
    super(t, { bubbles: !0, composed: !0 }), this.eventName = t, this.value = n;
  }
}
const r = (e, t, n) => {
  if (!e.current)
    return;
  const d = new s(t, n);
  e.current.dispatchEvent(d);
};
export {
  r as e
};
